#include "NewDialog.h"
#include <NewPopup.h>
#include <QDebug>

NewDialog::NewDialog(QWidget *parent)
    : QDialog(parent, Qt::SubWindow | Qt::FramelessWindowHint),
      label(new QLabel("This is a new page!", this)),
      closeButton(new QPushButton("Close Dialog", this)),
      open3DTextButton(new QPushButton("Open 3D Text", this)) {

    setWindowTitle("New Dialog");
    resize(800, 800);
    move(0,0);
    setStyleSheet("background-color: white; border: 1px solid black;");

    label->setAlignment(Qt::AlignCenter);
    label->setGeometry(50, 50, 300, 50);

    closeButton->setGeometry(50, 150, 120, 40);
    connect(closeButton, &QPushButton::clicked, this, &NewDialog::onDialogButtonClicked);

    open3DTextButton->setGeometry(200, 150, 120, 40);
    connect(open3DTextButton, &QPushButton::clicked, this, &NewDialog::onOpen3DTextClicked);
}

NewDialog::~NewDialog() {
    delete label;
    delete closeButton;
    delete open3DTextButton;
}

void NewDialog::onDialogButtonClicked() {
    qDebug() << "Close Dialog button clicked!";
    close();
}

void NewDialog::onOpen3DTextClicked() {
    qDebug() << "Open 3D Text button clicked!";
//    NewPopup* text3DDialog = new NewPopup(this);
//    text3DDialog->show();

    NewPopup newpopup(this);
    newpopup.exec();
}
